MintClientToken
POST
/platform/clientauth/v1/tokenRequest Body
requiredapplication/json{
"$ref": "#/components/schemas/clientauth.v1.MintClientTokenRequest",
"$ref-value": {
"type": "object",
"properties": {
"client_id": {
"type": "string",
"examples": [
"XyZ9aB8cD1"
],
"title": "client_id",
"minLength": 1
},
"client_secret": {
"type": "string",
"examples": [
"rxl_sk_Bq4y3QB38SFpzVPNx1cG"
],
"title": "client_secret",
"minLength": 1
},
"subject": {
"type": "string",
"examples": [
"QwErTy1234"
],
"title": "subject",
"minLength": 1
},
"project_id": {
"type": "string",
"examples": [
"Bq4y3QB38S"
],
"title": "project_id"
},
"ttl_minutes": {
"type": [
"integer",
"null"
],
"examples": [
"60"
],
"title": "ttl_minutes",
"maximum": 15,
"minimum": 1,
"format": "int32"
}
},
"title": "MintClientTokenRequest",
"required": [
"client_id",
"client_secret",
"subject"
],
"additionalProperties": false
}
}Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/clientauth.v1.MintClientTokenResponse",
"$ref-value": {
"type": "object",
"properties": {
"access_token": {
"type": "string",
"examples": [
"eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJRd0VyVHkxMjM0In0.sig"
],
"title": "access_token"
},
"token_type": {
"type": "string",
"examples": [
"Bearer"
],
"title": "token_type"
},
"expires_in": {
"type": "string",
"examples": [
"3600"
],
"title": "expires_in",
"format": "int64"
},
"expires_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "expires_at"
}
},
"title": "MintClientTokenResponse",
"additionalProperties": false
}
}curl -X POST "https://api.rixl.com/platform/clientauth/v1/token" \
-H "Content-Type: application/json" \
-d '{
"client_id": "XyZ9aB8cD1",
"client_secret": "rxl_sk_Bq4y3QB38SFpzVPNx1cG",
"subject": "QwErTy1234"
}'Success
application/json
{
"$ref": "#/components/schemas/clientauth.v1.MintClientTokenResponse",
"$ref-value": {
"type": "object",
"properties": {
"access_token": {
"type": "string",
"examples": [
"eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJRd0VyVHkxMjM0In0.sig"
],
"title": "access_token"
},
"token_type": {
"type": "string",
"examples": [
"Bearer"
],
"title": "token_type"
},
"expires_in": {
"type": "string",
"examples": [
"3600"
],
"title": "expires_in",
"format": "int64"
},
"expires_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "expires_at"
}
},
"title": "MintClientTokenResponse",
"additionalProperties": false
}
}